ELIXIR(1)

NAME
elixir - The Elixir script runner

SYNOPSIS
elixir [OPTIONS] file ...

DESCRIPTION
The program starts the runtime system typically for the execution of one or more scripts. It is similar to iex(1), but elixir exits when the executed script does.

OPTIONS
Note that many of the options mentioned here were borrowed from the Erlang shell, therefore erl(1) can be used as an additional source of information on the options.
{COMMON}

--no-halt
    Does not halt the Erlang VM after execution.

--  Separates the options passed to the compiler from the options passed to the executed code.

NOTES
The following options can be given more than once: --boot-var, --erl-config, --eval, --rpc-eval.

ENVIRONMENT

ELIXIR_ERL_OPTIONS
    Allows passing parameters to the Erlang runtime.

FILES

~/.erlang.cookie
    Stores the magic cookie value which is used only when it wasn't specified via the option --cookie (see above). If the file doesn't exist when a node starts, it will be created.

SEE ALSO
elixirc(1), iex(1), mix(1)

AUTHOR

Elixir is maintained by The Elixir Team.

This manual page was contributed by Evgeny Golyshev.

Copyright (c) 2012 Plataformatec.

Copyright (c) 2021 The Elixir Team.

INTERNET RESOURCES

Main website: https://elixir-lang.org

Documentation: https://elixir-lang.org/docs.html

Package manager: https://hex.pm